SDL_RumbleGamepad(3)

NAME
SDL_RumbleGamepad - Start a rumble effect on a gamepad.

HEADER FILE
Defined in SDL3/SDL_gamepad.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_RumbleGamepad(SDL_Gamepad *gamepad, Uint16 low_frequency_rumble, Uint16 high_frequency_rumble, Uint32 duration_ms);

DESCRIPTION
Each call to this function cancels any previous rumble effect, and calling it with 0 intensity stops any rumbling.

This function requires you to process SDL events or call

SDL_UpdateJoysticks () to update rumble state.

FUNCTION PARAMETERS

gamepad
    the gamepad to vibrate.

low_frequency_rumble
    the intensity of the low frequency (left) rumble motor, from 0 to 0xFFFF.

high_frequency_rumble
    the intensity of the high frequency (right) rumble motor, from 0 to 0xFFFF.

duration_ms
    the duration of the rumble effect, in milliseconds.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.2.0.